﻿

namespace Cuce.ReportingServices.Testing.Sample.VisualStudio
{
    using SSRSWS;
    using Microsoft.VisualStudio.TestTools.UnitTesting;
    
    /// <summary>
    /// Summary description for CRRTest
    /// </summary>
    [TestClass]
    public class IntegratedTests
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="IntegratedTests"/> class.
        /// </summary>
        public IntegratedTests()
        {
            t = new IntergratedTestWrapper(new ReportingService())
                    {
                            ReportServer = "http://test/ReportServer",
                            Credentials = new System.Net.NetworkCredential("username", "password", "domain"),
                            WebProxy = new System.Net.WebProxy()
                    };
        }

        private readonly IntergratedTestWrapper t;
        
           
        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        //
        // You can use the following additional attributes as you write your tests:
        //
        // Use ClassInitialize to run code before running the first test in the class
        // [ClassInitialize()]
        // public static void MyClassInitialize(TestContext testContext) { }
        //
        // Use ClassCleanup to run code after all tests in a class have run
        // [ClassCleanup()]
        // public static void MyClassCleanup() { }
        //
        // Use TestInitialize to run code before running each test 
        // [TestInitialize()]
        // public void MyTestInitialize() { }
        //
        // Use TestCleanup to run code after each test has run
        // [TestCleanup()]
        // public void MyTestCleanup() { }
        //
        #endregion

        [TestMethod]
        public void Test_MasterTest()
        {

            var name = new ReportName("Master Test", "/Test/"); 
            Assert.IsTrue(t.TestReport(name) == ReportResult.PASS);
           
        }

        [TestMethod]
        public void Test_Report1()
        {

            var name = new ReportName("Report1", "/Test/"); 
            Assert.IsTrue(t.TestReport(name) == ReportResult.PASS);

        }

  
        [TestMethod]
        public void Test_Report2()
        {

            var name = new ReportName("Report2", "/Test/"); 
            Assert.IsTrue(t.TestReport(name) == ReportResult.PASS);

        }

   
    }
}
