﻿namespace Cuce.ReportingServices.Testing.Sample.VisualStudio
{
    using SSRSWS;
    using Microsoft.VisualStudio.TestTools.UnitTesting;
    
    /// <summary>
    ///This is a test class for ParameterCollectionTest and is intended
    ///to contain all ParameterCollectionTest Unit Tests
    ///</summary>
    [TestClass()]
    public class UnitTests
    {

        /// <summary>
        /// Initializes a new instance of the <see cref="UnitTests"/> class.
        /// </summary>
        public UnitTests()
        {
            t = new UnitTestWrapper(new ReportingService())
                    {
                            ReportServer = "http://test/ReportServer",
                            Credentials = new System.Net.NetworkCredential("username", "password", "domain"),
                            WebProxy = new System.Net.WebProxy()
                    };
        }

        private readonly UnitTestWrapper t;
        
        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///
        ///</summary>
        [TestMethod()]
        public void ReportUnitTest()
        {

            ReportName name = new ReportName("test", "/Directory/"); 
            ReportOutputRowCollection results = t.TestReport(name);

           Assert.AreEqual(results[0].Columns[0].ToString(), "test");

         
         

        }

    
    }
}
