﻿using System;
using Cuce.ReportingServices.SSRSWS;
using NUnit.Framework;

namespace Cuce.ReportingServices.UnitTests
{
    /// <summary>
    /// ReportingServiceHelper Unit Test
    /// </summary>
    [TestFixture]
    public class ReportingServiceHelperDeleteTest
    {

        private readonly IReportingService i = new Mock.ReportingServicesMock();

        /// <summary>
        /// Somes the test.
        /// </summary>
        [Test]
        public void ReportingServiceHelperWorkingTest()
        {


            var  name = new ReportName("test", "/CRR/");

            ReportingServiceHelper.DeleteReport(i, name);

            Assert.IsTrue(true);
        }

        /// <summary>
        /// Reportings the service helper name null.
        /// </summary>
        [Test]
        [ExpectedException(typeof(ArgumentException))]
        public void ReportingServiceHelperNameNull()
        {

            ReportingServiceHelper.DeleteReport(i, null);

        }

        /// <summary>
        /// Reportings the service helper no folder.
        /// </summary>
        [Test]
        [ExpectedException(typeof(ArgumentException))]
        public void ReportingServiceHelperNoFolder()
        {

            var  name = new ReportName("test", "");

            ReportingServiceHelper.DeleteReport(i, name);

            Assert.IsTrue(true);
        }

        /// <summary>
        /// Reportings the name of the service helper no report.
        /// </summary>
        [Test]
        [ExpectedException(typeof(ArgumentException))]
        public void ReportingServiceHelperNoReportName()
        {

            var name = new ReportName("", "/CRR/");

            ReportingServiceHelper.DeleteReport(i, name);

            Assert.IsTrue(true);
        }



        /// <summary>
        /// Reportings the service helper no RS.
        /// </summary>
        [Test]
        [ExpectedException(typeof(ArgumentException))]
        public void ReportingServiceHelperNoRS()
        {

            var name = new ReportName("dfgd", "/CRR/");

            ReportingServiceHelper.DeleteReport(null, name);

            Assert.IsTrue(true);
        }

        /// <summary>
        /// Reportings the service helper major error.
        /// </summary>
        [Test]
        [ExpectedException(typeof(ReportException))]
        public void ReportingServiceHelperMajorError()
        {
            var name = new ReportName("error", "/CRR/");

            ReportingServiceHelper.DeleteReport(i, name);

            Assert.IsTrue(true);
        }

        /// <summary>
        /// Reportings the service helper major warning.
        /// </summary>
        [Test]
        [ExpectedException(typeof(ReportException))]
        public void ReportingServiceHelperMajorWarning()
        {

            var name = new ReportName("warning", "/CRR/");

            ReportingServiceHelper.DeleteReport(i, name);

            Assert.IsTrue(true);

        }

    }
}
